### DB_ENV->set_msgfile

`

###

    #include <db.h>

    void
    DB_ENV->set_msgfile(DB_ENV *dbenv, FILE *msgfile);

    void
    DB_ENV->get_msgfile(DB_ENV *dbenv, FILE **msgfilep);

### Description: DB_ENV->set_msgfile

There are interfaces in the Berkeley DB library which either directly output informational messages or statistical information, or configure the library to output such messages when performing other operations, for example, DB_ENV->set_verbose and DB_ENV->stat_print.

The DB_ENV->set_msgfile and DB->set_msgfile methods are used to display these messages for the application. In this case the message will include a trailing <newline> character.

Setting msgfile to NULL unconfigures the interface.

Alternatively, you can use the DB_ENV->set_msgcall or DB->set_msgcall methods to capture the additional error information in a way that does not use C library FILE *'s.

The DB_ENV->set_msgfile method configures operations performed using the specified DB_ENV handle, not all operations performed on the underlying database environment.

The DB_ENV->set_msgfile method may be called at any time during the life of the application.

### Parameters

msgfile
  The msgfile parameter is a C library FILE * to be used for displaying messages.

### Description: DB_ENV->get_msgfile

The DB_ENV->get_msgfile method returns the FILE *.

The DB_ENV->get_msgfile method may be called at any time during the life of the application.

The DB_ENV->get_msgfile method returns a non-zero error value on failure and 0 on success.

### Parameters

msgfilep
  The DB_ENV->get_msgfile method returns the FILE * in msgfilep.

### Class

DB_ENV

### See Also

Database Environments and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.